Skip to main content
GET
/
v4
/
data-field
List data fields
curl --request GET \
  --url https://api.example.com/v4/data-field \
  --header 'x-meetergo-api-user-id: <api-key>'
{
  "dataFields": [
    {
      "id": 123,
      "label": "<string>",
      "name": "<string>",
      "target": "email",
      "fieldType": "email",
      "required": true,
      "hidden": true,
      "default": true,
      "mutable": true,
      "defaultValue": "<string>",
      "placeholder": "<string>",
      "locales": [
        {
          "locale": "<string>",
          "label": "<string>"
        }
      ],
      "options": [
        {
          "label": "<string>",
          "value": "<string>",
          "image": "<string>",
          "icon": "<string>"
        }
      ],
      "slideOptions": {
        "description": "<string>",
        "multiselect": true,
        "type": "checkbox",
        "hideLabel": true
      },
      "fileFieldOptions": {
        "allowedExtensions": [
          "<string>"
        ],
        "maxFileSizeMB": 5,
        "maxFiles": 1,
        "enableCameraCapture": false
      },
      "contactOptions": {
        "salutation": false,
        "firstName": true,
        "lastName": true,
        "email": true,
        "phone": true,
        "mobile": false,
        "birthdate": false,
        "street": false,
        "addressSupplement": false,
        "zip": false,
        "city": false,
        "country": false
      },
      "bankDetailsOptions": {
        "showBic": true,
        "showAccountHolder": true,
        "showSignature": false
      },
      "licensePlateOptions": {
        "countryFilter": "all"
      },
      "pdfTemplateOptions": {
        "fileAssetId": "<string>",
        "pdfmeTemplate": {},
        "requireSignature": false,
        "requireSignatureOtp": false
      },
      "fileDownloadOptions": {
        "fileAssetIds": [
          "<string>"
        ],
        "fileNames": {}
      },
      "min": 123,
      "max": 123,
      "style": 123,
      "defaultCountryCode": "<string>",
      "useMarkdown": true,
      "helpText": "<string>",
      "displayStyle": "<string>",
      "conditions": {},
      "headingLevel": 123,
      "hideUntilChange": true,
      "showInfobox": true,
      "infoboxText": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "count": 123,
  "offset": 123
}

Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act as when using API Key authentication (required with API Key)

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Paginated list of data fields

dataFields
object[]
total
integer
count
integer
offset
integer